# SessionDataStore | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

An abstract class representing the SessionDataStore interface.

### Hierarchy

- SessionDataStore

## Index

### Constructors

- constructor

### Methods

- deleteSessionData
- getSessionData
- setSessionData

## Constructors

### constructor

- new SessionDataStore(sessionOptions?: SessionOptions ): SessionDataStore

- - Defined in packages/auth/src/sessionStore.ts:9

  #### Parameters

  - ##### Optional sessionOptions: SessionOptions

  #### Returns SessionDataStore

## Methods

### deleteSessionData

- deleteSessionData(): boolean

- - Defined in packages/auth/src/sessionStore.ts:28

  #### Returns boolean

### getSessionData

- getSessionData(): SessionData

- - Defined in packages/auth/src/sessionStore.ts:17

  #### Returns SessionData

### setSessionData

- setSessionData(session: SessionData): boolean

- - Defined in packages/auth/src/sessionStore.ts:24

  #### Parameters

  - ##### session: SessionData

  #### Returns boolean

Generated using TypeDoc